Subject: Re: bug#24902: 25.1; C-x = for Unicode

From: Robert Pluim <[email-masked]>
Date: Mon, 24 Jan 2022 12:16:19 +0100

>>>>> On Mon, 24 Jan 2022 11:40:01 +0100, Mattias Engdegård <[email-masked]> said:

    Mattias> 24 jan. 2022 kl. 10.21 skrev Lars Ingebrigtsen <[email-masked]>:
    >> Emacs defaults to showing some things in octal, so showing octal here
    >> isn't that absurd...

    Mattias> What things would that be? The only ones I can think of are raw bytes and some control characters.

    Mattias> The only reason why C-x = shows octal is inertia. If you wrote the command today, you would not include octal.

    Mattias> This is just another Immovable Ladder in Emacs. It must be preserved
    Mattias> exactly as it is, for the sole reason that it has always been this
    Mattias> way.

    >> `C-x 8 e d' says what the name of the character is.  Perhaps it should
    >> also include the hex value...

    Mattias> Or perhaps we could improve the more commonly used and accessible `C-x =` to show both?

    Mattias> I could write a patch to change it (with an option to keep the Good
    Mattias> Old Times look for the traditionalist), but there's no point if it
    Mattias> would be dismissed out of hand. Would it?

I sense a discoverability issue related to 'what-cursor-show-names'
:-)

(FWIW I agree about the octal, but that is another discussion)

Robert
--